OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000084OMNeT++IDE / NED editorpublic2009-06-29 10:402009-07-25 17:41
Reporterandras 
Assigned Tolevy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version4.1 
Summary0000084: "Edit Parameters" dialog does not validate input
DescriptionWhen editing parameters with the "Edit Parameters" dialog, it is possible to enter input which makes the NED source syntactically invalid. This causes problems later: when the user switches to text mode, it is not possible to switch back until the user fixes the error manually.

Input should be validated so syntax errors cannot slip through. E.g.: keywords should not be accepted as parameter names; value expressions should be syntactically valid as well.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000163)
andras (administrator)
2009-07-25 17:41

fixed by Levy.

- Issue History
Date Modified Username Field Change
2009-06-29 10:40 andras New Issue
2009-07-13 09:21 levy Assigned To => levy
2009-07-25 17:41 andras Note Added: 0000163
2009-07-25 17:41 andras Status new => resolved
2009-07-25 17:41 andras Fixed in Version => 4.1
2009-07-25 17:41 andras Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker